0

1.系统环境:
 ubuntu12.04 elasticsearch5.11 node 7.2.1 npm 4.05
2.安装elasticsearch之后,可以启动,能够访问http://localhost:9200
返回代码:
{
"name" : "D7ff-uK",
"cluster_name" : "elasticsearch",
"cluster_uuid" : "bl9WuKWVQ6m0TAxHM3UhgA",
"version" : {

"number" : "5.1.1",
"build_hash" : "5395e21",
"build_date" : "2016-12-06T12:36:15.409Z",
"build_snapshot" : false,
"lucene_version" : "6.3.0"

},
"tagline" : "You Know, for Search"
}

只在一台主机上安装,只有一个节点。

但是安装完插件head之后,elasticsearch不能启动出现报错.

3.head插件安装,启动之后能够启动,能够使用网址访问到相应的界面。

4.报错内容为:
2016-12-16T07:51:20,581[o.e.b.ElasticsearchUncaughtExceptionHandler] [] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: java.lang.IllegalArgumentException: Property [elasticsearch.version] is missing for plugin [head]

at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:125) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:112) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.cli.SettingCommand.execute(SettingCommand.java:54) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:96) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.cli.Command.main(Command.java:62) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:89) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:82) ~[elasticsearch-5.1.1.jar:5.1.1]

Caused by: java.lang.IllegalArgumentException: Property [elasticsearch.version] is missing for plugin [head]

at org.elasticsearch.plugins.PluginInfo.readFromProperties(PluginInfo.java:104) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.plugins.PluginsService.getPluginBundles(PluginsService.java:292) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.plugins.PluginsService.<init>(PluginsService.java:131) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.node.Node.<init>(Node.java:294) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.node.Node.<init>(Node.java:229) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Bootstrap$6.<init>(Bootstrap.java:214) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:214) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:306) ~[elasticsearch-5.1.1.jar:5.1.1]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:121) ~[elasticsearch-5.1.1.jar:5.1.1]
... 6 more

这是什么原因造成的呢?求大神们答疑解惑!

3个回答

2

5.1中,elasticsearch-head

  • 不能放在elasticsearchpluginsmodules 目录下

  • 不能使用 elasticsearch-plugin install

直接启动elasticsearch即可

安装 elasticsearch-head

  1. 修改 elasticsearch/config/elasticsearch.yml

  2. 添加

    http.cors.enabled: true
    http.cors.allow-origin: "*"
  3. 下载 elasticsearch-head 或者 git clone 到随便一个文件夹

  4. 安装nodejs

  5. cd /path/to/elasticsearch-head

  6. npm install -g grunt-cli

  7. npm install

  8. grunt server

  9. http://localhost:9100/

  10. Enjoy it.

1

一定要记得添加

http.cors.enabled: true
http.cors.allow-origin: "*"
0

遇到同样问题,mark

撰写答案